Bug 487209 - System Search, hardware description returning unknown field
System Search, hardware description returning unknown field
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
wes hayutin
http://grandprix.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 457073
  Show dependency treegraph
 
Reported: 2009-02-24 14:21 EST by wes hayutin
Modified: 2009-09-10 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss (388.01 KB, image/png)
2009-02-24 14:21 EST, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-02-24 14:21:04 EST
Created attachment 333079 [details]
ss

Description of problem:

System Search, hardware description returning unknown field

I think hardware description should come from 
http://grandprix.rhndev.redhat.com/network/systems/details/hardware.pxt?sid=1000010098

what ever is listed next to 
General
(1)

on that page..


right now its returning an unknown set of information.
Comment 2 John Matthews 2009-04-15 18:27:45 EDT
Two issues exist.
1) The implementation for searching on hardware devices was written to match Satellite 5.1 behavior.  Therefore the suggestion in comment #1 was not implemented.  A search "description" under hardware devices will return results which match the misc/video/storage/usb sections of hardware.pxt.  It will not return the info associated with "General" of hardware.pxt.

2) hw device search was only looking at the view, rhnHwDevice.  hardware.pxt displays data which is not always in this view, so the query has been modified to use rhnDevice, which broadens the scope of what can be searched on.

The commit which fixes this is in Vader branch:
http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=2e65ce47d4f8382cf1369c0384d89211c44cec46


Steps to verify:
1) Register a system
2) Go to the hardware.pxt page for the system, 
  network/systems/details/hardware.pxt?sid=1000010001
3) Look at the tables for "Storage, Video, USB, Misc".  
Search on one of the description strings under that.
Search should be "Hardware Devices" -> "Description" type of search.
4) You should see the system you search which has that hw device description returned as a match, along with other possible systems which match.
Comment 3 wes hayutin 2009-05-21 11:43:59 EDT
verified 5/20
Comment 4 Jan Pazdziora 2009-09-04 09:46:54 EDT
Stage validated with Satellite-5.3.0-RHEL5-re20090820.1. Searching for "abstract" returns vmware guests with "VMware Inc Abstract SVGA II Adapter". Moving to RELEASE_PENDING.
Comment 5 Brandon Perkins 2009-09-10 15:32:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.